%define name	perl-Data-Dump
%define module	Data-Dump
%define version 0.04
%define release 7mdk

Summary: 	Pretty printing of data structures
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source:		http://www.cpan.org/authors/id/GAAS/%{module}-%{version}.tar.bz2
BuildArch:	noarch
URL:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires: 	perl

%description
Pretty printing of data structures

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Data

%changelog
* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.04-7mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-6mdk
- rebuild for new auto{prov,req}

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-5mdk
- rebuild for perl 5.8.0.

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-4mdk
- should be noarch

* Mon Nov 12 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-3mdk
- Remove Distribution tag.
- Rebuild to fix invalid-packager and no-url-tag warnings.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.04-2mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-1mdk
- First Mandrake release.
- Needed by eGrail
